/*****************************************************************************
 *
 *  Copyright (C) 2003 Cdric Brgardis <cedric.bregardis@free.fr>
 *
 *  This file is part of BRIQUOLO
 *
 *  BRIQUOLO is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  BRIQUOLO is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with BRIQUOLO; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/
#include "Charger.h"
#include "TableauBase.h"

Charger::Charger(MOGL_Panneau * p_Panneau): MOGL_Panneau(p_Panneau, "Charger", 300, 200)
{
  MOGL_Struct_Couleur coulSel;
  coulSel.r=.2f;
  coulSel.g=1;
  coulSel.b=.2f;
  coulSel.a=0.2f;

  MOGL_Struct_Couleur coulTitre;
  coulTitre.r=0.6f;
  coulTitre.g=0.6f;
  coulTitre.b=0.6f;
  coulTitre.a=1;

  SetCouleurLabel(coulTitre);

  _ChoixTableau=new MOGL_Choix(this, "Nom");
  _ChoixTableau->SetCouleurFondFocus(coulSel);

  set<string> liste=TableauBase::GetListeTableau();
  for(set<string>::iterator it=liste.begin(); it!=liste.end(); it++)
  {
    _ChoixTableau->AjouterElementChoix(*it);
  }
  _Sep=new MOGL_Separateur(this);

  _Ok=new MOGL_Bouton(this, "Ok");
  _Ok->SetCouleurFondFocus(coulSel);
  _Ok->Activation.Connecter(this, &Charger::_OnOk);

  _Annuler=new MOGL_Bouton(this, "Annuler");
  _Annuler->SetCouleurFondFocus(coulSel);
  _Annuler->Activation.Connecter(this, &Charger::_OnAnnuler);
}

Charger::~Charger()
{
  delete _Annuler;
  delete _Ok;
  delete _Sep;
  delete _ChoixTableau;
}

void Charger::_OnOk()
{
  DemanderChargement.Emettre(_ChoixTableau->GetElementChoixCourant());
  SetActivation(false);
}

void Charger::_OnAnnuler()
{
  SetActivation(false);
}
