/*****************************************************************************
 *
 *  Copyright (C) 2003 Cdric Brgardis <cedric.bregardis@free.fr>
 *
 *  This file is part of BRIQUOLO
 *
 *  BRIQUOLO is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  BRIQUOLO is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with BRIQUOLO; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/
#include "Option.h"
#include "Constante.h"
#include <fstream>

using namespace std;

ElementOptionInt Option::ResolutionX("ResolutionX", 640);
ElementOptionInt Option::ResolutionY("ResolutionY", 480);
ElementOptionInt Option::BPP("BPP", 16);
ElementOptionBool Option::Fullscreen("Fullscreen", true);
ElementOptionBool Option::AfficherFPS("FPS", false);
ElementOptionInt Option::MaxFPS("MaxFPS", 0);

bool Option::Sauvegarder()
{
  string chem(Constante::GetLocalDir());
  chem+='/';
  chem+=Constante::GetNomConfig();
  ofstream fichier(chem.c_str());
  if (!fichier.good())
  {
    return false;
  }
  ResolutionX.Sauver(fichier);
  ResolutionY.Sauver(fichier);
  BPP.Sauver(fichier);
  Fullscreen.Sauver(fichier);
  AfficherFPS.Sauver(fichier);
  MaxFPS.Sauver(fichier);

  return true;
}

bool Option::Charger()
{
  string chem(Constante::GetLocalDir());
  chem+='/';
  chem+=Constante::GetNomConfig();
  ifstream fichier(chem.c_str());
  if (!fichier.good())
  {
    return false;
  }
  
  string nom, param;
  while (!fichier.eof())
  {
    ResolutionX.Charger(fichier);
    ResolutionY.Charger(fichier);
    BPP.Charger(fichier);
    Fullscreen.Charger(fichier);
    AfficherFPS.Charger(fichier);
    MaxFPS.Charger(fichier);
  }
  return true;
}
